// CSC 2012
// Virtualization exercises

#include <cstdio>
#include <cstring>


static void Usage() {
  printf("Calculates Pi from ratio of random points inside and outside.\n"
         "the union circle.\n"
         "Input comes from stdin, output goes to stdout.\n\n"
         "Example Input:\n"
         "  500 400\n"
         "Example Output:\n"
         "  3.2\n");
}


int main(int argc, char **argv) {
  if ((argc > 1) && (strcmp(argv[1], "-h") == 0)) {
    Usage();
    return 0;
  }

  double num_shots = 0.0;
  double num_incircle = 0.0;
  double f1, f2;
  while (scanf("%lf %lf", &f1, &f2) != EOF) {
    num_shots += f1;
    num_incircle += f2;
  }

  double pi = 3.0; /* Approximately... */
  printf("PI: %lf\n", pi);

  return 0;
}
